#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'panel.daftar'}
#{/set}
<ol class="breadcrumb" style="background-color: #25B396 !important;">
    <li class="active">&{'panel.daftar'}</li>
</ol>

<div class="content">
#{alert /}
#{form @devpartner.PanelCtr.hapus(), method:'POST'}
    <table class="table table-condensed" id="tblPanel">
        <thead>
        <tr>
            <th width="10px" class="text-center"><input type="checkbox"class="checkall"/></th>
            <th>&{'panel.nama_panel'}</th>
            <th width="200px">&{'panel.keterangan'}</th>
            <th>&{'panel.total_vendor'}</th>
            <th>&{'panel.pnl_size'}</th>
        </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
    #{addButton action:@devpartner.PanelCtr.edit(null) /}
    #{newDeleteButton /}
#{/form}
</div>

#{set 'css_custom' }
<link href="#{assets '/bootstrap/css/bootstrap-datatables.min.css'/}" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datatables.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/javascripts/delete-confirm.js'/}"></script>
<script type="text/javascript">
    var panelView = #{jsRoute @devpartner.PanelCtr.view(':id') /};
    $("#tblPanel").dataTable({
        language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.panel()}",
        columns: [{sortable:false,orderable:true, render: function(data, type, row) {
                var ids = row[0];
                var judul = row[1];
                row[0] = "<center><input type='checkbox' class='checkbox' name='chkPanel' value='" + row[0] + "' /></center>";
                row[1] = "<a href='"+panelView.url({id:ids})+"'>"+judul+"</a>";
                return row[0];
            }},null, null, {searchable: false}, null]
    }).fnFilterOnReturn();
    var table = $('#tblPanel').dataTable();

</script>
#{/set}
